#include "planning_old.hpp"

int main(int argc, char **argv) {
  // Adding the namespace used to define all functions
  using namespace r7_planning;

  ros::init(argc, argv, "custom_interfacing");
  ros::NodeHandle node_handle;
  ros::AsyncSpinner spinner(2);
  spinner.start();

  if (argc != 2) {
    ROS_INFO(" ");
    ROS_INFO("\tUsage:");
    ROS_INFO(" ");
    ROS_INFO("\trosrun planning run  n");
    return 1;
  }

  // Initializing the planning class
  r7_planning::PlanningClass my_planning_;

  // Initiating a second pose goal
  geometry_msgs::Pose t1;
  geometry_msgs::Pose t2;

  //   //Denne funka
  //   t1.orientation.w = 0.001;
  //   t1.orientation.x = 0;
  //   t1.orientation.y = 1.0;
  //   t1.orientation.z = 0;
  //   t1.position.x = 0.2;
  //   t1.position.y = 0.2;
  //   t1.position.z = 0.3;

  t1.orientation.w = 0.001;
  t1.orientation.x = 0;
  t1.orientation.y = 1.0;
  t1.orientation.z = 0;
  t1.position.x = 0.25;
  t1.position.y = 0.25;
  t1.position.z = 0.1;

  // Denne fnka også
  //   t2.orientation.w = 0.001;
  //   t2.orientation.x = 0;
  //   t2.orientation.y = 1.0;
  //   t2.orientation.z = 0;
  //   t2.position.x = 0.3;
  //   t2.position.y = 0.25;
  //   t2.position.z = 0.2;

  t2.orientation.w = 0.001;
  t2.orientation.x = 0;
  t2.orientation.y = 1.0;
  t2.orientation.z = 0;
  t2.position.x = 0.4;
  t2.position.y = 0.3;
  t2.position.z = 0.2;

  int selection = atoi(argv[1]);
  switch (selection) {
    my_planning_.resetValues();
    // Printing basic information
    my_planning_.basicInfo();
    // Moving to the initial state
    // my_planning_.goToPoseGoal();

    // Testing of RVIZ visualization tool integration
    // namespace rvt = rviz_visual_tools;
    // {
    //   moveit_visual_tools::MoveItVisualTools visual_tools("world");
    //   visual_tools.deleteAllMarkers();

    //   visual_tools.loadRemoteControl();
    // } // namespace rvt=rviz_visual_tools;

  case 1:
    my_planning_.goToPoseGoal(t1);
    break;
  case 2:
    // my_planning_.goToJointState();
    // ROS_INFO("!!Denne er ute!!");
    my_planning_.goToPoseGoal(t2);
    break;
  case 3:
    my_planning_.cartesianPath();
    break;
  case 4:
    my_planning_.addObjects();
    break;
  case 5:
    my_planning_.removeObjects();
  }

  spinner.stop();
  return 0;
}
